Customer points
List customer points ledger
Returns the authenticated customer’s points ledger with page pagination.
GET
/
api
/
checkout
/
v2026-04
/
customers
/
me
/
points
List customer points ledger
curl --request GET \
--url https://api.fluid.app/api/checkout/v2026-04/customers/me/points \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/checkout/v2026-04/customers/me/points"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/checkout/v2026-04/customers/me/points', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/checkout/v2026-04/customers/me/points",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/checkout/v2026-04/customers/me/points"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/checkout/v2026-04/customers/me/points")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/checkout/v2026-04/customers/me/points")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"points_ledgers": [
{
"id": 305218,
"amount": 110,
"metadata": {
"transaction_type": "order_credit",
"source": {
"name": "New Order",
"order_id": 962031
}
},
"customer_id": 61452,
"company_id": 1405,
"created_at": "2026-09-14T15:25:03Z",
"updated_at": "2026-09-14T15:25:03Z",
"total_balance": 624
},
{
"id": 301877,
"amount": -500,
"metadata": {
"cart_id": 1284406,
"currency_value": 5,
"intended_points": 500,
"fallback_applied": false
},
"customer_id": 61452,
"company_id": 1405,
"created_at": "2026-09-02T18:41:07Z",
"updated_at": "2026-09-02T18:41:07Z",
"total_balance": 514
}
],
"meta": {
"request_id": "1f7a3d85-6c2e-4b91-a8d4-0e5b9c3f2a67",
"timestamp": "2026-09-30T14:05:22Z",
"pagination": {
"current_page": 1,
"per_page": 10,
"total_count": 2,
"total_pages": 1
}
}
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}⌘I
List customer points ledger
curl --request GET \
--url https://api.fluid.app/api/checkout/v2026-04/customers/me/points \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/checkout/v2026-04/customers/me/points"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/checkout/v2026-04/customers/me/points', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/checkout/v2026-04/customers/me/points",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/checkout/v2026-04/customers/me/points"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/checkout/v2026-04/customers/me/points")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/checkout/v2026-04/customers/me/points")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"points_ledgers": [
{
"id": 305218,
"amount": 110,
"metadata": {
"transaction_type": "order_credit",
"source": {
"name": "New Order",
"order_id": 962031
}
},
"customer_id": 61452,
"company_id": 1405,
"created_at": "2026-09-14T15:25:03Z",
"updated_at": "2026-09-14T15:25:03Z",
"total_balance": 624
},
{
"id": 301877,
"amount": -500,
"metadata": {
"cart_id": 1284406,
"currency_value": 5,
"intended_points": 500,
"fallback_applied": false
},
"customer_id": 61452,
"company_id": 1405,
"created_at": "2026-09-02T18:41:07Z",
"updated_at": "2026-09-02T18:41:07Z",
"total_balance": 514
}
],
"meta": {
"request_id": "1f7a3d85-6c2e-4b91-a8d4-0e5b9c3f2a67",
"timestamp": "2026-09-30T14:05:22Z",
"pagination": {
"current_page": 1,
"per_page": 10,
"total_count": 2,
"total_pages": 1
}
}
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}